View Issue Details

IDProjectCategoryView StatusLast Update
0019589mantisbtattachmentspublic2016-09-29 03:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019589: Support adding a note + attachment in one step
Description

It is often that as part of responding to an issue via a note, the users want to both add a screenshot or a patch + a note associated with it. It would be great to have this in one step rather than currently two.

The attachments will still be associated with the issue rather than the note. So there is no schema change for now. In the future, we could potentially have them link via an approach other than timestamp to show the attachments differently, but I think this work can be tracked separately.

Tagsmantishub

Relationships

has duplicate 0008242 closedvboctor Attachments for comments 
has duplicate 0003623 closedvboctor Upload files with bugnote 
related to 0010504 closedvboctor New feature suggestion: Upload file in 'Add Note' ? 
related to 0021727 closedvboctor Show attachments inline with notes 

Activities

vboctor

vboctor

2015-04-08 11:29

manager   ~0049342

Pull Request: https://github.com/mantisbt/mantisbt/pull/594

Related Changesets

MantisBT: master d8f7cc8a

2015-04-08 11:28:43

vboctor

Details Diff
Support adding a note + attachment in one step

Fixes 0019589
mod - bug_file_add.php Diff File
mod - bug_file_upload_inc.php Diff File
mod - bug_report.php Diff File
mod - bug_report_page.php Diff File
mod - bugnote_add.php Diff File
mod - bugnote_add_inc.php Diff File
mod - core/file_api.php Diff File

Issue History

Date Modified Username Field Change
2015-04-08 11:21 vboctor New Issue
2015-04-08 11:21 vboctor Status new => assigned
2015-04-08 11:21 vboctor Assigned To => vboctor
2015-04-08 11:29 vboctor Note Added: 0049342
2015-04-18 00:20 vboctor Relationship added related to 0010504
2015-04-18 01:45 vboctor Changeset attached => MantisBT master d8f7cc8a
2015-04-18 01:45 vboctor Status assigned => resolved
2015-04-18 01:45 vboctor Resolution open => fixed
2015-04-18 01:45 vboctor Fixed in Version => 1.3.0-beta.3
2015-04-19 06:37 atrol Target Version => 1.3.0-beta.3
2015-04-28 03:11 vboctor Relationship added has duplicate 0008242
2015-04-28 03:34 vboctor Tag Attached: mantishub
2015-05-01 01:46 vboctor Relationship added has duplicate 0003623
2015-09-06 17:37 vboctoradmin Status resolved => closed
2016-09-29 03:17 vboctor Relationship added related to 0021727